# Misc. utilities
import copy

def list_prepend(e, l2):
    ret = [e]
    ret.extend(l2)
    return ret
        
def list_concat(l1, l2):
    """
    Given two lists, [e1,...,en], [f1,...,fn], 
    return [e1,...,en,f1,...,fn]
    like @ in ocaml
    """
    ret = copy.deepcopy(l1)
    ret.extend(copy.deepcopy(l2))
    return ret
